String shortString(String text, {int length = 10}) {
  if (text.length > length) {
    String shortText = text.substring(0, length);
    return shortText +
        (text.substring(0, length + 1).endsWith(' ') ? '' : '...');
  } else {
    return text;
  }
}
